For AI agents: the complete documentation index is available at https://docs.snaptrade.com/llms.txt. Markdown versions of documentation pages are available by appending .md to the URL path.
View as Markdown
Reference Data

Get Client Info

get
https://api.snaptrade.com/snapTrade/partners

Returns configurations for your SnapTrade Client ID, including allowed brokerages and data access.

Execute an API Request

No request parameters.
Authorization
Request
Installation
$
npm install snaptrade-typescript-sdk
1
import { Snaptrade } from "snaptrade-typescript-sdk";
2
3
const snaptrade = new Snaptrade({
4
clientId: "PARTNER_CLIENT_ID",
5
consumerKey: "CONSUMER_KEY",
6
});
7
8
const response =
9
await snaptrade.referenceData.getPartnerInfo();
10
console.log(response.data);

Response fields

object

Configurations for your SnapTrade Client ID, including allowed brokerages and data access.

slugstring

A short, unique identifier for your company or product.

namestring

Your company or product name.

logo_urlstring or null

URL to your company or product logo. Returns null if no logo has been configured (always the case for personal access clients).

allowed_brokeragesarray of objects

Brokerages that can be accessed by your Client ID.

Whether trading is enabled for your SnapTrade Client ID.

Whether holdings data is enabled for your SnapTrade Client ID.

Whether account historical transactions is enabled for your SnapTrade Client ID.

Whether reference data is enabled for your SnapTrade Client ID.

Whether portfolio management is enabled for your SnapTrade Client ID.

Whether recent order history is enabled for your SnapTrade Client ID.

redirect_uristring or null

URI to redirect user back to after user is done adding brokerage connections. Returns null if no redirect URI has been configured (always the case for personal access clients).

Shows if pin is required by users to access connection page. This field has been deprecated.

1
{
2
"slug": "WEALTHLY",
3
"name": "Wealthly",
4
"logo_url": "https://example.com/logo.png",
5
"allowed_brokerages": [
6
{
7
"id": "ebf91a5b-0920-4266-9e36-f6cfe8c40946",
8
"slug": "ROBINHOOD",
9
"name": "Robinhood",
10
"display_name": "Robinhood",
11
"description": "Robinhood is an American multinational financial services corporation based in Menlo Park, California.",
12
"aws_s3_logo_url": "https://passiv-brokerage-logos.s3.ca-central-1.amazonaws.com/robinhood-logo.png",
13
"aws_s3_square_logo_url": "https://passiv-brokerage-logos.s3.ca-central-1.amazonaws.com/robinhood-logo-square.png",
14
"url": "https://robinhood.com",
15
"enabled": true,
16
"maintenance_mode": true,
17
"is_degraded": true,
18
"allows_trading": true,
19
"allows_fractional_units": true,
20
"has_reporting": true,
21
"is_real_time_connection": true,
22
"brokerage_type": {
23
"id": "2bcd7cc3-e922-4976-bce1-9858296801c3",
24
"name": "Traditional Brokerage"
25
},
26
"exchanges": [
27
"2bcd7cc3-e922-4976-bce1-9858296801c3",
28
"4bcd8cc3-c122-4974-dc21-1858296801f4"
29
],
30
"open_url": "string"
31
}
32
],
33
"can_access_trades": true,
34
"can_access_holdings": true,
35
"can_access_account_history": true,
36
"can_access_reference_data": true,
37
"can_access_portfolio_management": true,
38
"can_access_orders": true,
39
"redirect_uri": "https://example.com/oauth/snaptrade",
40
"pin_required": false
41
}